> For the complete documentation index, see [llms.txt](https://docs.number.tech/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.number.tech/api-reference/rest-api/card-operations/authentication.md).

# Incremental Auth

<mark style="color:orange;">post:</mark> <https://easypay5.com/APIcardProcNumber/v1.0.0/CardSale/IncrementAuth>

{% tabs %}
{% tab title="Sample Request" %}

```clike
{
  "OrigAuthTxID": 111,
  "AdditionalAmt": 5.0,
  "Finalize": 0
}
```

{% endtab %}

{% tab title="Sample Response" %}

```clike
{
  "CreditCardSale_IncrementalResult": {
    "AVSresult": "Y",
    "AcquirerResponseEMV": null,
    "Amts": {
      "OrigAuthAmt": 10.0000,
      "ThisAuthAmt": 5.0,
      "TotalAuthAmt": 15.0000
    },
    "CVVresult": "",
    "ErrCode": 0,
    "ErrMsg": "",
    "FunctionOk": true,
    "IsPartialApproval": false,
    "RespMsg": "APPROVED OK8343",
    "TxApproved": true,
    "TxID": 112,
    "TxnCode": "OK8343"
  }
}
```

{% endtab %}

{% tab title="Notes" %}
To Implement Incremental Auth you can follow these steps:

* To Begin, you will need to create an AUTHORIZATION (AuthOnly) for a specific amount using the PayForm. (see [Incremental Authorizations](/documentation/getting-started/integration-options/payform/incremental-authorizations.md))
* You will need to take note of the ORIGINAL returned TxID as this must be sent in all \
  subsequent Incremental Authorizations using this API method.  &#x20;
* You can Increment the Authorization multiple times.
* When you are finished incrementing the authorization you have placed on the Cardholder account, you can then set the Finalize Flag to 1 . This will place the total authorized amount in the queue for settlement.  NO funds will be transferred until you have finalized the Authorization.
* You can set the finalize flag with a zero amount if you simply want to finalize without an additional increment.&#x20;
* Always send the ORIGINAL TXID in any case so that the system can reference all the activity properly.
* The API call returns the Total authorized amount each time you increment or Finalize or Both.
  {% endtab %}
  {% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.number.tech/api-reference/rest-api/card-operations/authentication.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
